org.apache.pdfbox.preflight.process

## Class EmptyValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.EmptyValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class EmptyValidationProcess
    extends Object
    implements ValidationProcess

This class is used to return a non null ValidationProcess when a missing process is asked to the ConfigurationBean only if the errorOnMissingProcess configuration attribute is set to false.

### Constructor Summary

Constructors
Constructor and Description
`EmptyValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(PreflightContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EmptyValidationProcess

    public EmptyValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Specified by:
  `validate` in interface `ValidationProcess`
Throws:
  `ValidationException`